classification
Title: Refleaks in charmap decoder
Type: resource usage Stage: resolved
Components: Unicode Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: ezio.melotti, python-dev, serhiy.storchaka, vstinner
Priority: normal Keywords: 3.3regression, patch

Created on 2013-01-15 14:05 by serhiy.storchaka, last changed 2013-01-29 10:18 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
charmap_decode_leaks-3.3.patch serhiy.storchaka, 2013-01-15 14:05 review
charmap_decode_leaks-3.4.patch serhiy.storchaka, 2013-01-15 14:06 review
Messages (4)
msg180018 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-15 14:05
Charmap decoder can leak a reference in case of error.
msg180020 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-15 14:13
How difficult would it be to write a test for this?
msg180040 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-15 17:58
Enough difficult.
msg180898 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-01-29 10:17
New changeset 625c397a7283 by Serhiy Storchaka in branch '3.3':
Issue #16971: Fix a refleak in the charmap decoder.
http://hg.python.org/cpython/rev/625c397a7283

New changeset 02c4ecc87f74 by Serhiy Storchaka in branch 'default':
Issue #16971: Fix a refleak in the charmap decoder.
http://hg.python.org/cpython/rev/02c4ecc87f74
History
Date User Action Args
2013-01-29 10:18:47serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-01-29 10:17:54python-devsetnosy: + python-dev
messages: + msg180898
2013-01-28 18:43:48serhiy.storchakasetassignee: serhiy.storchaka
2013-01-15 17:58:38serhiy.storchakasetmessages: + msg180040
2013-01-15 14:13:40ezio.melottisetmessages: + msg180020
2013-01-15 14:12:15serhiy.storchakasetnosy: + vstinner
2013-01-15 14:06:47serhiy.storchakasetfiles: + charmap_decode_leaks-3.4.patch
2013-01-15 14:05:51serhiy.storchakacreate